### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-radio/ecl-radio-label.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `[eclRadioLabel]`
styleUrls | `./ecl-radio-label.component.scss`
templateUrl | `./ecl-radio-label.component.html`

### Index

###### Methods

- getCssClasses

###### Inputs

- isDisabled
- isInvalid
- class
- e2eAttr

###### HostBindings

- class

###### Accessors

- cssClasses

### Inputs

isDisabled
Type : `boolean`
Default value : `false`

isInvalid
Type : `boolean`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""